#
# spec file for package python-leveldb
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitearch: %global python_sitearch %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%endif
Name:           python-leveldb
Version:        0.193
Release:        3.5
Summary:        Python bindings for leveldb database library
License:        BSD-3-Clause
Group:          Development/Languages/Python
Url:            http://code.google.com/p/py-leveldb/
Source:         http://pypi.python.org/packages/source/l/leveldb/leveldb-%{version}.tar.gz
BuildRequires:  gcc-c++
BuildRequires:  python-devel
BuildRequires:  python-setuptools
Requires:       leveldb
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Python bindings for leveldb database library.

%prep
%setup -q -n leveldb-%{version}
chmod -x README

%build
CFLAGS="%{optflags}" python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc README
%{python_sitearch}/leveldb.so
%{python_sitearch}/leveldb-%{version}-py%{py_ver}.egg-info

%changelog
* Sun Aug 16 2015 i@marguerite.su
- update version 0.193
  * no changelog
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Sat Oct 12 2013 i@marguerite.su
- update version 0.19
  * no upstream changelog available
* Fri Apr  5 2013 speilicke@suse.com
- Use distribute instead of setuptools
- Package README
* Sun Mar 17 2013 prusnak@opensuse.org
- created package (version 0.16)
